org.richfaces.renderkit.html.images

## Class CalendarIcon

- java.lang.Object
- - org.richfaces.resource.AbstractJava2DUserResource
  - - org.richfaces.renderkit.html.images.CalendarIcon

- All Implemented Interfaces:
    org.richfaces.resource.Java2DUserResource, org.richfaces.resource.StateHolderResource
  Direct Known Subclasses:
    DisabledCalendarIcon

      public class CalendarIcon
      extends org.richfaces.resource.AbstractJava2DUserResource
      implements org.richfaces.resource.StateHolderResource

  Author:
    amarkhel

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalendarIcon()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected BufferedImage` | `createImage(int width, int height)`
    `void` | `initialize()`
    `boolean` | `isTransient()`
    `void` | `paint(Graphics2D graphics2d)`
    `BufferedImage` | `paintImage()`
    `void` | `readState(javax.faces.context.FacesContext context, DataInput dataInput)`
    `void` | `writeState(javax.faces.context.FacesContext context, DataOutput dataOutput)`

    - ### Methods inherited from class org.richfaces.resource.AbstractJava2DUserResource

      `getDimension, getImageType, getLastModified, getResponseHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CalendarIcon

          public CalendarIcon()

  - ### Method Detail

    - #### initialize

          public final void initialize()

    - #### isTransient

          public boolean isTransient()

      Specified by:
        `isTransient` in interface `org.richfaces.resource.StateHolderResource`

    - #### writeState

          public void writeState(javax.faces.context.FacesContext context,
                        DataOutput dataOutput)
                          throws IOException

      Specified by:
        `writeState` in interface `org.richfaces.resource.StateHolderResource`
      Throws:
        `IOException`

    - #### readState

          public void readState(javax.faces.context.FacesContext context,
                       DataInput dataInput)
                         throws IOException

      Specified by:
        `readState` in interface `org.richfaces.resource.StateHolderResource`
      Throws:
        `IOException`

    - #### createImage

          protected BufferedImage createImage(int width,
                                  int height)

    - #### paint

          public void paint(Graphics2D graphics2d)

      Specified by:
        `paint` in interface `org.richfaces.resource.Java2DUserResource`

    - #### paintImage

          public BufferedImage paintImage()

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.